import { jsx } from "react/jsx-runtime";
import { TokenWELT as TokenWELT$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenWELT = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "WELT", "data-name": "TokenWELT", ...props, children: /* @__PURE__ */ jsx(TokenWELT$1, { variant }) });
  }
);
TokenWELT.displayName = "TokenWELT";
Object.assign(TokenWELT, { isGdsIcon: true });
export {
  TokenWELT
};
